EDIT - bug #9429

Taxon cache strategy handles sec details 2x in some cases
01/28/2021 11:32 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.20

Severity: normal Found in Version:

Description

If the secundum reference is atomized (no protected titleCache, authorships exists, datePublished exists) the sec detail is added 2x

to the cache

Associated revisions

Revision b240a635 - 01/28/2021 11:33 PM - Andreas Miiller

fix #9429 fix duplicated sec-detail in taxon cachestrategy

History

#1 - 01/28/2021 11:34 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|b240a635d7826790ba39aed8c110edd1253a4d80.

#2 - 01/28/2021 11:34 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

please review

#3 - 01/29/2021 08:52 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

looks fine and works as expected.

#4 - 01/29/2021 08:52 AM - Katja Luther
- % Done changed from 50 to 100

#5 - 02/05/2021 06:23 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.20

04/10/2024

1/1



https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/b240a635d7826790ba39aed8c110edd1253a4d80
http://www.tcpdf.org

